### Method

# WebKit MemoryPressureSettings set_kill_threshold

since: 2.34

#### Declaration [src]

    void
    webkit_memory_pressure_settings_set_kill_threshold (
      WebKitMemoryPressureSettings* settings,
      gdouble value
    )

#### Description [src]

Sets `value` as the fraction of the defined memory limit where the process will be killed.

The threshold must be a value bigger or equal to 0. A value of 0 means that the process is never killed. If the threshold is not 0, then it must be bigger than the strict threshold defined in `settings`. The threshold can also have values bigger than 1. The default value is 0.

Available since: 2.34

#### Parameters

`value`

  Type: `gdouble`

  Fraction of the memory limit where the process will be killed because of excessive memory usage.